# This rpm is in the SVN
# $Id: darcs.spec 41290 2006-07-15 16:21:21Z nanardon $

%define name darcs
%define version 1.0.8
%define release %mkrel 2

%define withgit 1

%{?_without_git:%define withgit 0}
%{?_with_git:%define withgit 1}

Summary: David's Advanced Revision Control System
Name: %{name}
Version: %version
Release: %release
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://abridgegame.org/darcs/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ghc
BuildRequires: zlib-devel
BuildRequires: openssl-devel
BuildRequires: ncurses-devel
BuildRequires: latex2html tex4ht hevea
%if %withgit
BuildRequires: git-devel
%endif

%description
Darcs is a revision control system, along the lines of CVS
or arch. That means that it keeps track of various revisions
and branches of your project, allows for changes to
propogate from one branch to another. Darcs is intended to
be an ``advanced'' revision control system. Darcs has two
particularly distinctive features which differ from other
revision control systems: 1) each copy of the source is a
fully functional branch, and 2) underlying darcs is a
consistent and powerful theory of patches.

%package server
Summary: David's advanced revision control system Server
Group: Development/Other
Requires: webserver

%description server
Darcs is a revision control system, along the lines of CVS
or arch. That means that it keeps track of various revisions
and branches of your project, allows for changes to
propogate from one branch to another. Darcs is intended to
be an ``advanced'' revision control system. Darcs has two
particularly distinctive features which differ from other
revision control systems: 1) each copy of the source is a
fully functional branch, and 2) underlying darcs is a
consistent and powerful theory of patches.

This package contains the darcs cgi server program.

%prep
%setup -q

%build
%configure \
    --with-sendmail=%{_sbindir}/sendmail \
%if %withgit
    --enable-git \
    --with-git-includes=-I%{_includedir}/git/
%endif

%make all

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot}  installbin installserver manual/index.html
# yes, it is a hack
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/www/
mv -f $RPM_BUILD_ROOT/%{_libdir}/cgi-bin/ $RPM_BUILD_ROOT/%{_localstatedir}/www/cgi/

%check
PATH="$PWD:$PATH" make check

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS manual 
%config(noreplace) %{_sysconfdir}/bash_completion.d/darcs
%{_bindir}/darcs
%{_mandir}/man1/darcs*

%files server
%defattr(-,root,root,-)
%{_localstatedir}/www/cgi/*
%config(noreplace) %{_sysconfdir}/darcs
%{_datadir}/darcs


%changelog
* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-15 16:21:21 (41290)
- fix buildrequires

* Thu Jun 22 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-22 21:58:24 (37893)
- remove changelog from spec

* Fri Jun 16 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-16 20:49:23 (37387)
- 1.0.8

* Fri Jun 16 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-16 20:34:42 (37384)
- initial import

%changelog
* Fri Jun 16 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.8-1mdv2007.0
- 1.0.8

* Sun May 14 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.7-1mdk
- 1.0.7 (yes Gaetan, I short-circuited you !)

* Thu Apr  6 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.6-2mdk
- build requires ncurses-devel to have colored output in darcs

* Wed Mar 01 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.6-1mdk
- 1.0.6

* Fri Jan 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-4mdk
- Add buildRequires

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.5-3mdk
- Add BuildRequires

* Mon Jan 23 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.5-2mdk
- add git support

* Wed Dec 07 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.5-1mdk
- New release 1.0.5

* Thu Nov 17 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.4-2mdk
- use --with-sendmail to force the mail feature even if sendmail is not
  there at build time

* Mon Nov 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.4-1mdk
- New release 1.0.4
- make test in check section

* Thu May 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.3-1mdk
- New release 1.0.3 (also fix build with ghc 6.4)
- use mkrel

* Tue Feb 22 2005 Michael Scherer <misc@mandrake.org> 1.0.2-1mdk
- Initial package, based on haskell.org spec file.
